Download it now!
Bug 80911 - user defined page sizes which are used in landscape mode and match rotated paper sizes don't work
Summary: user defined page sizes which are used in landscape mode and match rotated pa...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-04 12:27 UTC by Caolán McNamara
Modified: 2017-08-07 17:23 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
example of the problem (15.90 KB, application/vnd.oasis.opendocument.presentation)
2014-07-04 12:27 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2014-07-04 12:27:09 UTC
Created attachment 102268 [details]
example of the problem

User defined page sizes which are used in landscape mode and match rotated paper sizes don't work correctly, the rotated paper size is set to "landscape" too rather than getting swapped to portrait.

See example
Comment 1 Commit Notification 2014-07-04 12:31:37 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c6bd2c40fd03ec735fd6dbec01520f10ee1d55a

Resolves: fdo#80911 toggle original page orientation on paper fallback



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-07-25 13:25:02 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87266b182913372b06eb107674e49f665f6f4342

Revert "fdo#80911 toggle original page orientation on paper fallback"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-09-17 14:01:22 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cca120ad92ecab741ca9683f3cf76d9e4fc81729

Resolves: fdo#80911 don't swap notes page width/height



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.